mixed-port: 7890
allow-lan: true
bind-address: '*'
mode: rule
log-level: info
external-controller: '127.0.0.1:9090'
dns:
    enable: true
    ipv6: false
    default-nameserver: [1.1.1.1, 8.8.8.8]
    enhanced-mode: fake-ip
    fake-ip-range: 198.18.0.1/16
    use-hosts: true
    nameserver: ['https://doh.pub/dns-query']
    fallback: ['https://doh.dns.sb/dns-query', 'https://dns.cloudflare.com/dns-query', 'https://dns.twnic.tw/dns-query', 'tls://8.8.4.4:853']
    fallback-filter: { geoip: true, ipcidr: [240.0.0.0/4, 0.0.0.0/32] }
proxies:
    - {"name":"肥猫云 - 付费高速节点 (fcweb.cc)","type":"vless","server":"awsall.freenodes01.cc","port":443,"uuid":"664015f5-7807-0a74-d859-f72495be70bd","network":"tcp","tls":true,"udp":true,"flow":"xtls-rprx-vision","servername":"www.microsoft.com","reality-opts":{"public-key":"0XqnX5cXAa6isFhTW4eIM_CaAHTXJJ8tbMs9XabxJ1A","short-id":""},"client-fingerprint":"chrome"}
    - {"name":"免费节点 - 每日更新 (nodesdz.com)","type":"vless","server":"awsall.freenodes01.cc","port":443,"uuid":"664015f5-7807-0a74-d859-f72495be70bd","network":"tcp","tls":true,"udp":true,"flow":"xtls-rprx-vision","servername":"www.microsoft.com","reality-opts":{"public-key":"0XqnX5cXAa6isFhTW4eIM_CaAHTXJJ8tbMs9XabxJ1A","short-id":""},"client-fingerprint":"chrome"}
    - {"name":"香港-20台高可用负载","type":"vless","server":"awshk.freenodes01.cc","port":443,"uuid":"664015f5-7807-0a74-d859-f72495be70bd","network":"tcp","tls":true,"udp":true,"flow":"xtls-rprx-vision","servername":"www.microsoft.com","reality-opts":{"public-key":"0XqnX5cXAa6isFhTW4eIM_CaAHTXJJ8tbMs9XabxJ1A","short-id":""},"client-fingerprint":"chrome"}
    - {"name":"日本-12台高可用负载","type":"vless","server":"awsjp.freenodes01.cc","port":443,"uuid":"664015f5-7807-0a74-d859-f72495be70bd","network":"tcp","tls":true,"udp":true,"flow":"xtls-rprx-vision","servername":"www.microsoft.com","reality-opts":{"public-key":"0XqnX5cXAa6isFhTW4eIM_CaAHTXJJ8tbMs9XabxJ1A","short-id":""},"client-fingerprint":"chrome"}

proxy-groups:
  - {"name": "手动选择节点", "type": "select", "proxies": ["肥猫云 - 付费高速节点 (fcweb.cc)", "免费节点 - 每日更新 (nodesdz.com)", "香港-20台高可用负载", "日本-12台高可用负载"]}

rules:
    - 'DOMAIN-SUFFIX,ip6-localhost,DIRECT'
    - 'DOMAIN-SUFFIX,ip6-loopback,DIRECT'
    - 'DOMAIN-SUFFIX,local,DIRECT'
    - 'DOMAIN-SUFFIX,localhost,DIRECT'
    - 'IP-CIDR,10.0.0.0/8,DIRECT,no-resolve'
    - 'IP-CIDR,100.64.0.0/10,DIRECT,no-resolve'
    - 'IP-CIDR,127.0.0.0/8,DIRECT,no-resolve'
    - 'IP-CIDR,172.16.0.0/12,DIRECT,no-resolve'
    - 'IP-CIDR,192.168.0.0/16,DIRECT,no-resolve'
    - 'IP-CIDR6,::1/128,DIRECT,no-resolve'
    - 'IP-CIDR6,fc00::/7,DIRECT,no-resolve'
    - 'IP-CIDR6,fe80::/10,DIRECT,no-resolve'
    - 'IP-CIDR6,fd00::/8,DIRECT,no-resolve'
    - 'GEOIP,CN,DIRECT'
# 默认
    - 'MATCH,手动选择节点'